import {getDimensions, loadData} from "./lib.js";

window.addEventListener('load', () => {
    // navigation
    const views = {
        tree: document.getElementById('tree-container'),
        timeSeries: document.getElementById('time-series-container'),
        parallel: document.getElementById('parallel-coordinates-container'),
        bubble: document.getElementById('bubble-container')
    };

    const buttons = {
        tree: document.getElementById('tree-view'),
        timeSeries: document.getElementById('time-series-view'),
        parallel: document.getElementById('parallel-view'),
        bubble: document.getElementById('bubble-view')
    };

    function showView(viewName) {
        Object.values(views).forEach(view => view.classList.remove('visible'));
        Object.values(buttons).forEach(button => button.classList.remove('active'));

        views[viewName].classList.add('visible');
        buttons[viewName].classList.add('active');
    }

    buttons.tree.addEventListener('click', () => showView('tree'));
    buttons.timeSeries.addEventListener('click', () => showView('timeSeries'));
    buttons.parallel.addEventListener('click', () => showView('parallel'));
    buttons.bubble.addEventListener('click', () => showView('bubble'));


    //data filter buttons
    const selectors = Array.from(document.querySelectorAll('.visa-type-autofill'));
    console.log(selectors);
    loadData().then(([schengenCsv, countryCsv])=>{
        const dimensions = getDimensions(schengenCsv)
        console.log(dimensions)
        selectors.map(selector => {
            dimensions.forEach(dimension => {
                const optionEl = document.createElement('option');
                optionEl.setAttribute("value", dimension);
                optionEl.textContent = dimension;
                selector.append(optionEl);
            })
        });
    })

});